org.wso2.carbon.dataservices.ui.beans

## Class Validator

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.Validator

-     public class Validator
      extends DataServiceConfigurationElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Validator(String elementName, Map<String,String> validatorElements, Map<String,String> customProperties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `String` | `getElementName()`
    `String` | `getName()`
    `String` | `getPropertiesString()`
    `Map<String,String>` | `getValidatorElements()`
    `void` | `setCustomProperties(Map<String,String> customProperties)`
    `void` | `setValidatorElements(Map<String,String> validatorElements)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Validator

          public Validator(String elementName,
                           Map<String,String> validatorElements,
                           Map<String,String> customProperties)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getElementName

          public String getElementName()

    - #### getValidatorElements

          public Map<String,String> getValidatorElements()

    - #### setValidatorElements

          public void setValidatorElements(Map<String,String> validatorElements)

    - #### setCustomProperties

          public void setCustomProperties(Map<String,String> customProperties)

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

    - #### getPropertiesString

          public String getPropertiesString()

Copyright © 2019 WSO2. All rights reserved.